searchNodes=[{"doc":"UsageImport Scrivener.HTML to your view:defmodule SampleWeb.UserView do use SampleWeb, :view use Scrivener.HTML endUse helper functions in your template:&lt;%= pagination @page %&gt;Where @page is a %Scrivener.Page{} struct.Read Scrivener.HTML.pagination for more details.SEOSee Scrivener.HTML.SEO for more details.","ref":"Scrivener.HTML.html","title":"Scrivener.HTML","type":"module"},{"doc":"","ref":"Scrivener.HTML.html#defaults/0","title":"Scrivener.HTML.defaults/0","type":"function"},{"doc":"Generates the HTML pagination for a given %Scrivener.Page{} returned by Scrivener.Available optionsAvailable options consists of options provided by Scrivener.HTML.Parse and Scrivener.HTML.Render.Default options of Scrivener.HTML.Parse:[ range: 5, prev: &quot;PREV&quot;, next: &quot;NEXT&quot;, first?: true, last?: true, ellipsis: {:safe, &quot;&amp;hellip;&quot;} ]Default options of Scrivener.HTML.Render:[ render_module: Scrivener.HTML.Render.Preset, html_attrs: [], hide_single: false, path: &quot;&quot;, page_param: :page ]All other options will be considered as extra params of links.ExamplesCall pagination/2 with Scrivener.HTML.Parse options:iex&gt; pagination(%Scrivener.Page{total_pages: 10, page_number: 5}, distance: 4)Call pagination/2 with more options:iex&gt; pagination(%Scrivener.Page{total_pages: 10, page_number: 5}, page_param: :p, distance: 4)Call pagination/2 with extra options:iex&gt; pagination(%Scrivener.Page{total_pages: 10, page_number: 5}, my_param: &quot;foobar&quot;)Custom HTML outputCustom HTML attrs of containeriex&gt; pagination(%Scrivener.Page{total_pages: 10, page_number: 5}, html_attrs: [class: &quot;pagination&quot;])Custom previous and next buttonsiex&gt; pagination(%Scrivener.Page{total_pages: 10, page_number: 5}, previous: Phoenix.HTML.raw(&quot;&amp;leftarrow;&quot;), next: Phoenix.HTML.raw(&quot;&amp;rightarrow;&quot;)Advanced customizationCreate a render module referencing Scrivener.HTML.Render.Preset, then use it by setting :render_module option.","ref":"Scrivener.HTML.html#pagination/2","title":"Scrivener.HTML.pagination/2","type":"function"},{"doc":"","ref":"Scrivener.HTML.Helper.html","title":"Scrivener.HTML.Helper","type":"module"},{"doc":"","ref":"Scrivener.HTML.Helper.html#clamp/3","title":"Scrivener.HTML.Helper.clamp/3","type":"function"},{"doc":"","ref":"Scrivener.HTML.Helper.html#fetch_options/2","title":"Scrivener.HTML.Helper.fetch_options/2","type":"function"},{"doc":"","ref":"Scrivener.HTML.Parse.html","title":"Scrivener.HTML.Parse","type":"module"},{"doc":"","ref":"Scrivener.HTML.Parse.html#add_last/3","title":"Scrivener.HTML.Parse.add_last/3","type":"function"},{"doc":"Return default options.","ref":"Scrivener.HTML.Parse.html#defaults/0","title":"Scrivener.HTML.Parse.defaults/0","type":"function"},{"doc":"","ref":"Scrivener.HTML.Parse.html#get_distance/1","title":"Scrivener.HTML.Parse.get_distance/1","type":"function"},{"doc":"","ref":"Scrivener.HTML.Parse.html#get_page_range/5","title":"Scrivener.HTML.Parse.get_page_range/5","type":"function"},{"doc":"Returns the raw data in order to generate the proper HTML for pagination.Default optionsDefault options are supplied as following:[range: 5, prev: &quot;PREV&quot;, next: &quot;NEXT&quot;, first?: true, last?: true, ellipsis: {:safe, &quot;&amp;hellip;&quot;}]:range declares how many pages are shown. It should be an integer greater than or equal to 3.:prev and :next declares text for previous and next buttons. Generally, they are string. Falsy values will remove them from output.:first? and last? declares whether to show first / last page and corresponding ellipsis.:ellipsis declares the text shown as ellipsis.Return valueReturn value is a list of tuples. The tuple is in a {text, page_number} format where text is intended to be the text of the link and page_number is the page number it should go to.Examplesiex&gt; parse(%Scrivener.Page{total_pages: 10, page_number: 5}, []) [ {&quot;PREV&quot;, 4}, {1, 1}, {:ellipsis, {:safe, &quot;&amp;hellip;&quot;}}, {4, 4}, {5, 5}, {6, 6}, {:ellipsis, {:safe, &quot;&amp;hellip;&quot;}}, {10, 10}, {&quot;NEXT&quot;, 6} ]","ref":"Scrivener.HTML.Parse.html#parse/2","title":"Scrivener.HTML.Parse.parse/2","type":"function"},{"doc":"Render raw data returned by Scrivener.HTML.Parse.parse/2 to HTML.","ref":"Scrivener.HTML.Render.html","title":"Scrivener.HTML.Render","type":"module"},{"doc":"Return default options.","ref":"Scrivener.HTML.Render.html#defaults/0","title":"Scrivener.HTML.Render.defaults/0","type":"function"},{"doc":"","ref":"Scrivener.HTML.Render.html#render/3","title":"Scrivener.HTML.Render.render/3","type":"function"},{"doc":"","ref":"Scrivener.HTML.Render.Preset.html","title":"Scrivener.HTML.Render.Preset","type":"module"},{"doc":"","ref":"Scrivener.HTML.Render.Preset.html#render_container/1","title":"Scrivener.HTML.Render.Preset.render_container/1","type":"function"},{"doc":"","ref":"Scrivener.HTML.Render.Preset.html#render_container/2","title":"Scrivener.HTML.Render.Preset.render_container/2","type":"function"},{"doc":"","ref":"Scrivener.HTML.Render.Preset.html#render_item/5","title":"Scrivener.HTML.Render.Preset.render_item/5","type":"function"},{"doc":"SEO related functions for pagination.See Indicating paginated content to Google for more information.","ref":"Scrivener.HTML.SEO.html","title":"Scrivener.HTML.SEO","type":"module"},{"doc":"Produces &lt;link/&gt; tags for putting in the &lt;head&gt; to help SEO.The arguments passed in are the same as Scrivener.HTML.pagination/2.See SEO Tags in Phoenix to know about how to do that.iex&gt; Scrivener.HTML.SEO.header_links(%Scrivener.Page{total_pages: 10, page_number: 3}) |&gt; Phoenix.HTML.safe_to_string &quot;&lt;link href=\\&quot;?page=2\\&quot; rel=\\&quot;prev\\&quot;&gt;\\n&lt;link href=\\&quot;?page=4\\&quot; rel=\\&quot;next\\&quot;&gt;&quot;","ref":"Scrivener.HTML.SEO.html#header_links/2","title":"Scrivener.HTML.SEO.header_links/2","type":"function"},{"doc":"Produces the value for a rel attribute in an &lt;a&gt; tag. Returns either &quot;next&quot;, &quot;prev&quot; or &quot;canonical&quot;.iex&gt; Scrivener.HTML.SEO.rel(%Scrivener.Page{page_number: 5}, 4) &quot;prev&quot; iex&gt; Scrivener.HTML.SEO.rel(%Scrivener.Page{page_number: 5}, 6) &quot;next&quot; iex&gt; Scrivener.HTML.SEO.rel(%Scrivener.Page{page_number: 5}, 8) &quot;canonical&quot;Scrivener.HTML.pagination/2 will use this module to add rel attribute to each link.","ref":"Scrivener.HTML.SEO.html#rel/2","title":"Scrivener.HTML.SEO.rel/2","type":"function"},{"doc":"scrivener_html_semiHTML helpers for Scrivener.","ref":"readme.html","title":"scrivener_html_semi","type":"extras"},{"doc":"Add scrivener_html_semi to your list of dependencies in mix.exs:def deps do [ {:scrivener_html_semi, &quot;~&gt; 3.0&quot;} ] end","ref":"readme.html#installation","title":"scrivener_html_semi - Installation","type":"extras"},{"doc":"Visit HexDocs.Visit Scrivener.HTML for a quick start.","ref":"readme.html#docs","title":"scrivener_html_semi - Docs","type":"extras"},{"doc":"Unlike scrivener_html, scrivener_html_semi doesn't provide any support of popular CSS frameworks. But, it provides full control of HTML output.","ref":"readme.html#differences-from-scrivener_html","title":"scrivener_html_semi - Differences from scrivener_html","type":"extras"},{"doc":"If you are using existing CSS frameworks, such as Bootstrap or Bulma, you should use scrivener_html.If you want to customize HTML output manually, this package is for you.","ref":"readme.html#should-i-use-this-package","title":"scrivener_html_semi - Should I use this package?","type":"extras"},{"doc":"semi is a meaningless suffix.As you know, there's a package called scrivener_html. In order to distinguish between these two packages, I name this package as scrivener_html_semi.","ref":"readme.html#what-is-the-meaning-of-the-package-name","title":"scrivener_html_semi - What is the meaning of the package name?","type":"extras"},{"doc":"There are lots of breaking changes, it's hard to creating a PR.","ref":"readme.html#why-creating-a-new-package-rather-than-a-pr","title":"scrivener_html_semi - Why creating a new package rather than a PR?","type":"extras"},{"doc":"MIT","ref":"readme.html#license","title":"scrivener_html_semi - License","type":"extras"}]